/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2020, Nordix Foundation. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.openecomp.sdc.be.model.catalog;

import java.util.ArrayList;
import java.util.List;
import org.junit.Assert;
import org.junit.Test;
import org.openecomp.sdc.be.model.category.CategoryDefinition;

public class CatalogComponentTest {

    private CatalogComponent createTestSubject() {
        return new CatalogComponent();
    }

    @Test
    public void testGetTags() {
        CatalogComponent testSubject;
        List<String> result;

        // default test
        testSubject = createTestSubject();
        result = testSubject.getTags();
        Assert.assertNotNull(result);
        Assert.assertEquals(result, new ArrayList<>());
    }

    @Test
    public void testSetTags() {
        CatalogComponent testSubject;
        List<String> result;

        // default test
        testSubject = createTestSubject();
        testSubject.setTags(new ArrayList<>());
        result = testSubject.getTags();
        Assert.assertNotNull(result);
        Assert.assertEquals(result, new ArrayList<>());
    }

    @Test
    public void testGetCategories() {
        CatalogComponent testSubject;
        List<CategoryDefinition> result;

        // default test
        testSubject = createTestSubject();
        result = testSubject.getCategories();
        Assert.assertNotNull(result);
        Assert.assertEquals(result, new ArrayList<>());
    }
}
